#include<bits/stdc++.h>
using namespace std;
long long int a[100002];
long long int s=0;
int n,m,x,y;
int main(){
	cin>>n>>m;
	for(int i=0;i<n;i++){
		cin>>a[i];
	}
	for(int i=0;i<m;i++){
		cin>>x>>y;
		s+=abs(a[x-1]+a[y-1]);
	}
	cout<<s;
}